gnutls_srtp_set_profile_direct(3)

NAME
gnutls_srtp_set_profile_direct - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srtp_set_profile_direct(gnutls_session_t session, const char * profiles, const char ** err_pos);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const char * profiles
    is a string that contains the supported SRTP profiles, separated by colons.

const char ** err_pos
    In case of an error this will have the position in the string the error occured, may be NULL.

DESCRIPTION
This function is to be used by both clients and servers, to declare what SRTP profiles they support, to negotiate with the peer.

RETURNS
On syntax error GNUTLS_E_INVALID_REQUEST is returned, GNUTLS_E_SUCCESS on success, or an error code. Since 3.1.4

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/